LinuxAnswers - the LQ Linux tutorial section.
Go Back > Forums > Linux Forums > Linux - Newbie
User Name
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!


  Search this Thread
Old 04-07-2004, 04:43 PM   #1
LQ Newbie
Registered: Apr 2004
Posts: 1

Rep: Reputation: 0
failed dependencies

I tried to install an rpm with Kpackage on a Mandrake and I had the following message :
Failed dependencies: is needed by cdk-avr-avrdude-4.2.0-20030906

I searched for and I found it installed on my system. I don't understand why there is an error.
Does anybody can help me to find a solution to my problem?
Thank you.
Old 04-07-2004, 05:19 PM   #2
Registered: Jan 2004
Location: Utah USA
Distribution: SuSE Pro 9.0
Posts: 43

Rep: Reputation: 15
try querying for the rpm that contains libreadline:
rpm -q libreadline

RPM checks for other rpm packages that contain files, not for the files themselves so if you installed the libreadline using some other method than rpm you will have the dependency error. Try installing redcarpet from to help aleviate your dependency woahs
Old 04-08-2004, 07:16 AM   #3
Registered: Apr 2003
Location: Madrid
Distribution: RHAS, Kubuntu, Solaris, TRU64
Posts: 381

Rep: Reputation: 31
Well, if the library is there, what I'd do is to install the rpm package despite of what the installer complaints. It works on 90% of cases. And how ?

rpm -i package_name.rpm --nodeps
or more brute:
rpm -i package_name.rpm --nodeps --force


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
failed dependencies koodoo Linux - Newbie 8 03-08-2005 02:14 PM
Failed Dependencies Johnburrell Linux - Newbie 3 03-03-2005 11:18 AM
I recieve a failed dependencies error, but I have all required dependencies Laptop2250 Linux - Software 15 02-03-2004 08:58 PM
failed dependencies jaylee Linux - General 4 06-25-2003 06:45 AM
failed dependencies emanners Linux - Newbie 2 09-27-2001 04:01 PM

All times are GMT -5. The time now is 03:40 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration